//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 11:50:06 AM CEST 
//


package net.ihe.gazelle.goc.xmi;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import net.ihe.gazelle.goc.ecore.EPackage;
import net.ihe.gazelle.goc.template.definer.model.AdvancedTemplate;
import net.ihe.gazelle.goc.template.definer.model.ConstraintDoc;
import net.ihe.gazelle.goc.template.definer.model.ConstraintKind;
import net.ihe.gazelle.goc.template.definer.model.ConstraintType;
import net.ihe.gazelle.goc.template.definer.model.ConstraintsSpec;
import net.ihe.gazelle.goc.template.definer.model.Taml;
import net.ihe.gazelle.goc.template.definer.model.TemplateSpec;
import net.ihe.gazelle.goc.uml.Model;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{http://www.lantanagroup.com}Template" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "XMI", propOrder = {
		"model", "epackage",
    "templateSpec", "advancedTemplate", "constraintsSpec", "constraintType", "constraintKind", "taml", "constraintDoc"
})
@XmlRootElement(name = "XMI")
public class XMI {
	
	private static final String NAMESPACE_TEMPLATE_DEFINER = "http:///schemas/TemplateDefiner/_L1F1MLk9EeadT_oVto_uPg/43";

	@XmlElement(name = "Model", namespace="http://www.eclipse.org/uml2/3.0.0/UML")
	private Model model;
	
	@XmlElement(name = "EPackage", namespace="http://www.eclipse.org/uml2/schemas/Ecore/5")
	private EPackage epackage;

    @XmlElement(name = "TemplateSpec", namespace=NAMESPACE_TEMPLATE_DEFINER)
    private List<TemplateSpec> templateSpec;
    
    @XmlElement(name = "AdvancedTemplate", namespace=NAMESPACE_TEMPLATE_DEFINER)
    private List<AdvancedTemplate> advancedTemplate;
    
    @XmlElement(name = "ConstraintsSpec", namespace=NAMESPACE_TEMPLATE_DEFINER)
    private List<ConstraintsSpec> constraintsSpec;

	@XmlElement(name = "ConstraintType", namespace=NAMESPACE_TEMPLATE_DEFINER)
	private List<ConstraintType> constraintType;
	
	@XmlElement(name = "ConstraintKind", namespace=NAMESPACE_TEMPLATE_DEFINER)
	private List<ConstraintKind> constraintKind;
    
    @XmlElement(name = "taml", namespace=NAMESPACE_TEMPLATE_DEFINER)
    private List<Taml> taml;
    
    @XmlElement(name = "ConstraintDoc", namespace=NAMESPACE_TEMPLATE_DEFINER)
    private List<ConstraintDoc> constraintDoc;
    
    /**
     * <p>Getter for the field <code>constraintKind</code>.</p>
     *
     * @return a {@link java.util.List} object.
     */
    public List<ConstraintKind> getConstraintKind() {
    	if (this.constraintKind == null) {
    		this.constraintKind = new ArrayList<>();
    	}
		return constraintKind;
	}

	/**
	 * <p>Setter for the field <code>constraintKind</code>.</p>
	 *
	 * @param constraintKind a {@link java.util.List} object.
	 */
	public void setConstraintKind(List<ConstraintKind> constraintKind) {
		this.constraintKind = constraintKind;
	}

	/**
	 * <p>Getter for the field <code>epackage</code>.</p>
	 *
	 * @return a {@link net.ihe.gazelle.goc.ecore.EPackage} object.
	 */
	public EPackage getEpackage() {
		return epackage;
	}

	/**
	 * <p>Setter for the field <code>epackage</code>.</p>
	 *
	 * @param epackage a {@link net.ihe.gazelle.goc.ecore.EPackage} object.
	 */
	public void setEpackage(EPackage epackage) {
		this.epackage = epackage;
	}

	/**
	 * <p>Getter for the field <code>constraintsSpec</code>.</p>
	 *
	 * @return a {@link java.util.List} object.
	 */
	public List<ConstraintsSpec> getConstraintsSpec() {
    	if (this.constraintsSpec == null){
    		this.constraintsSpec = new ArrayList<>();
    	}
		return this.constraintsSpec;
	}

	/**
	 * <p>Setter for the field <code>constraintsSpec</code>.</p>
	 *
	 * @param constraintsSpec a {@link java.util.List} object.
	 */
	public void setConstraintsSpec(
			List<ConstraintsSpec> constraintsSpec) {
		this.constraintsSpec = constraintsSpec;
	}


	/**
	 * <p>Getter for the field <code>constraintDoc</code>.</p>
	 *
	 * @return a {@link java.util.List} object.
	 */
	public List<ConstraintDoc> getConstraintDoc() {
		if (constraintDoc == null){
			constraintDoc = new ArrayList<>();
		}
		return constraintDoc;
	}

	/**
	 * <p>Setter for the field <code>constraintDoc</code>.</p>
	 *
	 * @param constraintDoc a {@link java.util.List} object.
	 */
	public void setConstraintDoc(List<ConstraintDoc> constraintDoc) {
		this.constraintDoc = constraintDoc;
	}

	/**
	 * <p>Getter for the field <code>model</code>.</p>
	 *
	 * @return a {@link net.ihe.gazelle.goc.uml.Model} object.
	 */
	public Model getModel() {
		return model;
	}

	/**
	 * <p>Setter for the field <code>model</code>.</p>
	 *
	 * @param model a {@link net.ihe.gazelle.goc.uml.Model} object.
	 */
	public void setModel(Model model) {
		this.model = model;
	}

	/**
	 * <p>Getter for the field <code>templateSpec</code>.</p>
	 *
	 * @return a {@link java.util.List} object.
	 */
	public List<TemplateSpec> getTemplateSpec() {
		if (this.templateSpec == null){
			this.templateSpec = new ArrayList<>();
		}
		return this.templateSpec;
	}

	/**
	 * <p>Setter for the field <code>advancedTemplate</code>.</p>
	 *
	 * @param advancedTemplate a {@link java.util.List} object.
	 */
	public void setAdvancedTemplate(List<AdvancedTemplate> advancedTemplate) {
		this.advancedTemplate = advancedTemplate;
	}
	

	/**
	 * <p>Getter for the field <code>advancedTemplate</code>.</p>
	 *
	 * @return a {@link java.util.List} object.
	 */
	public List<AdvancedTemplate> getAdvancedTemplate() {
		if (this.advancedTemplate == null){
			this.advancedTemplate = new ArrayList<>();
		}
		return this.advancedTemplate;
	}

	/**
	 * <p>Setter for the field <code>templateSpec</code>.</p>
	 *
	 * @param templateSpec a {@link java.util.List} object.
	 */
	public void setTemplateSpec(List<TemplateSpec> templateSpec) {
		this.templateSpec = templateSpec;
	}

	/**
	 * <p>Getter for the field <code>constraintType</code>.</p>
	 *
	 * @return a {@link java.util.List} object.
	 */
	public List<ConstraintType> getConstraintType() {
		if (this.constraintType == null){
			this.constraintType = new ArrayList<>();
		}
		return this.constraintType;
	}

	/**
	 * <p>Setter for the field <code>constraintType</code>.</p>
	 *
	 * @param constraintType a {@link java.util.List} object.
	 */
	public void setConstraintType(List<ConstraintType> constraintType) {
		this.constraintType = constraintType;
	}

	/**
	 * <p>Getter for the field <code>taml</code>.</p>
	 *
	 * @return a {@link java.util.List} object.
	 */
	public List<Taml> getTaml() {
		if (taml == null){
			taml = new ArrayList<>();
		}
		return taml;
	}

	/**
	 * <p>Setter for the field <code>taml</code>.</p>
	 *
	 * @param taml a {@link java.util.List} object.
	 */
	public void setTaml(List<Taml> taml) {
		this.taml = taml;
	}
	
}
